Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.gvt.font
Class UnresolvedFontFamily

    java.lang.Object
      org.apache.batik.gvt.font.UnresolvedFontFamily

All Implemented Interfaces:
  GVTFontFamily

    public class UnresolvedFontFamily

extends Object
implements GVTFontFamily

A font family class for unresolved fonts.

Field Summary
`protected GVTFontFace` | `fontFace`

Constructor Summary
`UnresolvedFontFamily(GVTFontFace fontFace)` Constructs an UnresolvedFontFamily with the specified familyName.
`UnresolvedFontFamily(String familyName)` Constructs an UnresolvedFontFamily with the specified familyName.

Method Summary
`GVTFont` | `deriveFont(float size, AttributedCharacterIterator aci)` Derives a GVTFont object of the correct size.
`GVTFont` | `deriveFont(float size, Map attrs)` Derives a GVTFont object of the correct size from an attribute Map.
`String` | `getFamilyName()` Returns the font family name.
`GVTFontFace` | `getFontFace()` Returns the font-face information for this font family.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### fontFace

    protected GVTFontFace fontFace

Constructor Detail

### UnresolvedFontFamily

    public UnresolvedFontFamily(GVTFontFace fontFace)

  Constructs an UnresolvedFontFamily with the specified familyName.

  Parameters:
    `fontFace` - The name of the font family.

### UnresolvedFontFamily

    public UnresolvedFontFamily(String familyName)

  Constructs an UnresolvedFontFamily with the specified familyName.

  Parameters:
    `familyName` - The name of the font family.

Method Detail

### getFontFace

    public GVTFontFace getFontFace()

  Returns the font-face information for this font family.

  Specified by:
    `getFontFace` in interface `GVTFontFamily`

### getFamilyName

    public String getFamilyName()

  Returns the font family name.

  Specified by:
    `getFamilyName` in interface `GVTFontFamily`
  Returns:
    the family name.

### deriveFont

    public GVTFont deriveFont(float size,
                              AttributedCharacterIterator aci)

  Derives a GVTFont object of the correct size. As this font family is yet to be resolved this will always return null.

  Specified by:
    `deriveFont` in interface `GVTFontFamily`
  Parameters:
    `size` - The required size of the derived font.
    `aci` - The character iterator that will be rendered using the derived font.

### deriveFont

    public GVTFont deriveFont(float size,
                              Map attrs)

  Derives a GVTFont object of the correct size from an attribute Map.

  Specified by:
    `deriveFont` in interface `GVTFontFamily`
  Parameters:
    `size` - The required size of the derived font.
    `attrs` - The Attribute Map to get Values from.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.